CVE-2019-10329

Name
CVE-2019-10329
Description
Jenkins InfluxDB Plugin 1.21 and earlier stored credentials unencrypted in its global configuration file on the Jenkins master where they can be viewed by users with access to the master file system.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Vendor Advisory https://jenkins.io/security/advisory/2019-05-31/#SECURITY-1403
Mailing List http://www.openwall.com/lists/oss-security/2019/05/31/2
Third Party Advisory http://www.securityfocus.com/bid/108540

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:eficode:influxdb:*:*:*:*:*:jenkins:*:* influxdb >= None <= 1.21

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
influxdb edge-community 1.8.3-r4 None possibly vulnerable
influxdb 3.14-community 1.8.3-r4 None possibly vulnerable